Author Topic: gstreamer 1.0  (Read 3578 times)

bucaneer

  • Jr. Member
  • **
  • Posts: 33
    • View Profile
gstreamer 1.0
« on: November 03, 2012, 14:49:08 »
Yesterday I ran a system upgrade that installed the new gstreamer 1.0.2 alongside the old 0.10 version. As I understand, the update was structured so that both versions and their respective APIs should coexist and function normally, but it seems to have broken gstreamer support in gmusicbrowser. Here's the terminal output when trying to play something though gstreamer:
Code: [Select]
CRITICAL **: gst_is_missing_plugin_message: assertion `GST_IS_MESSAGE (msg)' failed at /home/justas-arch/gmusicbrowser/gmusicbrowser_gstreamer-0.10.pm line 104.
CRITICAL **: gst_is_missing_plugin_message: assertion `GST_IS_MESSAGE (msg)' failed at /home/justas-arch/gmusicbrowser/gmusicbrowser_gstreamer-0.10.pm line 104.
GLib-GObject-WARNING **: specified class size for type `GstAlsaSrc' is smaller than the parent type's `GstAudioSrc' class size at /home/justas-arch/gmusicbrowser/gmusicbrowser_gstreamer-0.10.pm line 186.
GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed at /home/justas-arch/gmusicbrowser/gmusicbrowser_gstreamer-0.10.pm line 186.
GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed at /home/justas-arch/gmusicbrowser/gmusicbrowser_gstreamer-0.10.pm line 186.
GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed at /home/justas-arch/gmusicbrowser/gmusicbrowser_gstreamer-0.10.pm line 186.
GLib-CRITICAL **: g_once_init_leave: assertion `result != 0' failed at /home/justas-arch/gmusicbrowser/gmusicbrowser_gstreamer-0.10.pm line 186.

(gmusicbrowser.pl:5525): GStreamer-CRITICAL **: gst_element_register: assertion `g_type_is_a (type, GST_TYPE_ELEMENT)' failed
Playing error : Can't create sink 'alsa'

I understand that transitioning to the new API would take time and require the perl bindings to be updated first, but I wonder if this particular issue of not recognizing the installed 0.10 libraries is something that can be fixed "locally" in GMB, or is it also something that would require changes from upstream.

Quentin Sculo

  • Administrator
  • Hero Member
  • *****
  • Posts: 1082
    • View Profile
Re: gstreamer 1.0
« Reply #1 on: November 04, 2012, 04:56:38 »
I don't know much about gstreamer 1.0, but it is installed on the latest ubuntu alongside gstreamer 0.10 without any problem that I can see.
So I'd say there is a problem with your install or your distro's packages.
Have you tried other programs that still use 0.10 ? I don't think the gstreamer perl bindings are doing anything more that a normal gstreamer-0.10 program is doing.
You could test each gstreamer with this command :
Code: [Select]
gst-launch-0.10 filesrc location=/PATH/TO/FILE.mp3 ! mad ! audioconvert ! audioresample ! alsasink
gst-launch-1.0 filesrc location=/PATH/TO/FILE.mp3 ! mad ! audioconvert ! audioresample ! alsasink

bucaneer

  • Jr. Member
  • **
  • Posts: 33
    • View Profile
Re: gstreamer 1.0
« Reply #2 on: November 04, 2012, 18:10:58 »
Strange - I had uninstalled version 1.0 after writing the original post, and after reinstalling to test these commands everything works normally. I guess the initial install was faulty somehow. Thanks for the help.